net.sf.jasperreports.crosstabs.interactive

## Class SortRowGroupAction

- java.lang.Object
- - net.sf.jasperreports.web.actions.AbstractAction
  - - net.sf.jasperreports.crosstabs.interactive.SortRowGroupAction

- All Implemented Interfaces:
    Action

      public class SortRowGroupAction
      extends AbstractAction

  Version:
    $Id: SortRowGroupAction.java 6412 2013-08-26 16:56:44Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.web.actions.AbstractAction

      `AbstractAction.ActionErrors`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.web.actions.AbstractAction

      `ERR_CONCAT_STRING, errors, PARAM_COMMAND_STACK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortRowGroupAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SortRowGroupData` | `getSortData()`
    `void` | `performAction()`
    `void` | `setSortData(SortRowGroupData sortData)`

    - ### Methods inherited from class net.sf.jasperreports.web.actions.AbstractAction

      `createNumberFormat, getCommandStack, getCommandTarget, getCommandTarget, getJasperReportsContext, getMessagesBundle, getReportContext, init, requiresRefill, run, setCommandStack`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortRowGroupAction

          public SortRowGroupAction()

  - ### Method Detail

    - #### performAction

          public void performAction()
                             throws ActionException

      Specified by:
        `performAction` in class `AbstractAction`
      Throws:
        `ActionException`

    - #### getSortData

          public SortRowGroupData getSortData()

    - #### setSortData

          public void setSortData(SortRowGroupData sortData)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com